From: Christian Heller <c.heller@plomlompom.de>
Date: Tue, 28 Feb 2023 16:37:53 +0000 (+0100)
Subject: Fix upgrade-broken ledger tab completion.
X-Git-Url: https://plomlompom.com/repos/%7B%7Bdb.prefix%7D%7D/%7B%7B%20web_path%20%7D%7D/static/%7B%7Bprefix%7D%7D/condition?a=commitdiff_plain;h=be700ff9e26fbe05a6e70d50ca636c22b0f741fe;p=config

Fix upgrade-broken ledger tab completion.
---

diff --git a/bullseye/home_files/user/.emacs.d/init.el b/bullseye/home_files/user/.emacs.d/init.el
index fbec980..9964c98 100644
--- a/bullseye/home_files/user/.emacs.d/init.el
+++ b/bullseye/home_files/user/.emacs.d/init.el
@@ -311,7 +311,7 @@
 ;; ledger
 ;; ======
 (setq ledger-mode-map (make-sparse-keymap))
-(define-key ledger-mode-map (kbd "TAB") 'ledger-magic-tab)
+(define-key ledger-mode-map (kbd "TAB") 'completion-at-point)
 
 
 
diff --git a/bullseye/other_files/prune.sh b/bullseye/other_files/prune.sh
deleted file mode 100644
index 8cfc385..0000000
--- a/bullseye/other_files/prune.sh
+++ /dev/null
@@ -1,10 +0,0 @@
-#!/bin/sh
-set -e
-set -x
-service microblogpub stop
-microblogdir=/home/plom/testing.microblog.pub
-cd "${microblogdir}"
-cp -r data/microblogpub.db data/microblogpub.db.bak.$(date +%a)
-su -lc "cd ${microblogdir} && poetry run inv prune-old-data" - plom
-service microblogpub start
-echo "last microblog pruning at $(date)" >> /home/plom/prune_log.txt
diff --git a/bullseye/other_files/prune_microblogpub.sh b/bullseye/other_files/prune_microblogpub.sh
new file mode 100644
index 0000000..8cfc385
--- /dev/null
+++ b/bullseye/other_files/prune_microblogpub.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -e
+set -x
+service microblogpub stop
+microblogdir=/home/plom/testing.microblog.pub
+cd "${microblogdir}"
+cp -r data/microblogpub.db data/microblogpub.db.bak.$(date +%a)
+su -lc "cd ${microblogdir} && poetry run inv prune-old-data" - plom
+service microblogpub start
+echo "last microblog pruning at $(date)" >> /home/plom/prune_log.txt